## FASTA version summary

`$Id: fasta_versions.html 256 2010-03-29 13:41:48Z wrp $`

March, 2010

Currently, there are five different versions of the FASTA programs that can be downloaded from the FASTA Software WWW site. I recommend that you use either fasta-36, the very latest version, or fasta-35, the "classic" version that has been available for since 2007.

Here I try to explain the major differences.

Version | New Programs | Other changes
--- | --- | ---

fasta-36

None

The major improvement in FASTA v36 is the ability to calculate and display multiple significant alignments (multiple HSP's) between a query sequence and a library sequence. Previous FASTA versions had the serious shortcoming of only showing the best alignment. A `tfastx36` alignment between a protein and its exon-containing gene will show all of the exon alignments that are long enough to be significant.

FASTA v36 also provides more flexible strategies for searching lists of datbase files, and versions after fasta-36.2 are fully threaded, so both searches and alignments can be distributed among multiple processors with efficient speedup.

PVM/MPI parallel versions of FASTA v36 are under development.

fasta-35

`+lalign35`
`+ggsearch35`
`+glsearch35`
`-prss3`
`-prfx3`

FASTA v35 provides significant improvements in statistical accuracy and program efficiency in threaded (multi-CPU, multi-core) environments. The program now automatically produces 500 random shuffles when small libraries are searched. Thus, `prss` and `prfx` are no longer required; `ssearch35` and `fastx35` provide the same function.

fasta34

`+ssearch3`
`+fasts3/tfasts3`
`+fastf3/tfastf3`
`-lfasta`
`-lalign`
`-tfasta`

FASTA v34 is the last version of the FASTA3 series before the significant changes introduced with FASTA v35. The FASTA v3 programs were first introduced in 1996, with threaded code for multi-processors, more accurate statistical estimates, and optimal Smith-Waterman alignments with `ssearch`. More recent versions (v34) provided accelerated Smith-Waterman searches using Altivec and SSE2 vector processors. FASTA v34 is no longer updated for bug fixes.

fasta2

`+lfasta`
`+tfasta`

FASTA v2 was introduced in 1995, improving sensitivity by calculated gapped alignment scores. Modern (V34 and V35) versions of FASTA have significantly more robust statistical estimates, threaded code, and vectorized Smith-Waterman, so FASTA v2 should not be used for database searching. However, until `lalign` was addeed to FASTA v35 in March, 2007, FASTA v2 was the only source for the `lalign` program. Today, the only programs provided in FASTA v2 that are not provided in FASTA v35 are the Kyte-Doolittle hydropathy plotter `grease` and the classic (though very inaccurate) secondary structure prediction programs `chofas` and `garnier`

The current stable version of the FASTA programs is version 35, and older releases of version 35 are available to make it easier for software packagers to work with a consistent version of the software. However, the CURRENT version of FASTA should be used whenever possible. Many bug reports reflect older versions of the software.

Description of minor changes: changes_v35.html